Package: org.gradle.api.artifacts

## [Java] Interface ProjectDependency

- org.gradle.api.artifacts.ModuleDependency

- All Superinterfaces:
    Buildable, SelfResolvingDependency, Dependency, ModuleDependency

  A `ProjectDependency` is a Dependency on another project in the current project hierarchy.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ProjectDependency` | `copy()` {@inheritDoc}
    `Project` | `getDependencyProject()` Returns the project associated with this project dependency.
    `Configuration` | `getProjectConfiguration()` Returns the configuration associated with this project dependency.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ModuleDependency` | `addArtifact, artifact, copy, exclude, getArtifacts, getConfiguration, getExcludeRules, isTransitive, setTransitive`
    `interface SelfResolvingDependency` | `resolve, resolve`
    `interface Buildable` | `getBuildDependencies`

- - ### Method Detail

    - #### public ProjectDependency copy()

      {@inheritDoc}

    - #### public Project getDependencyProject()

      Returns the project associated with this project dependency.

    - #### public Configuration getProjectConfiguration()

      Returns the configuration associated with this project dependency. The configuration belongs to the project associated with this project dependency.

      See Also:
        getDependencyProject()